#ifndef CONSOLE_H_INCLUDED
#define CONSOLE_H_INCLUDED

#include <windows.h>

/**
 * コンソールウインドウを作成する
 */
void console_init(HINSTANCE hInstance, HWND hwndParent, bool use_stdio);

/**
 * コンソールウインドウの表示／非表示を切り替える
 */
void console_set_visible(bool visible);

/**
 * コンソールに１文字出力する
 */
void console_write(TCHAR c);

/**
 * コンソールに文字列を出力する
 */
void console_write(const _TCHAR* text);

/**
 * コンソールから文字列を読み込む
 */
int console_read(_TCHAR* buff, int len);

/**
 * ログファイルを設定する
 */
void console_set_logfile(HANDLE out);

/**
 * コンソールが表示状態の場合、非表示になるまで待機する
 */
void console_wait_for_close();

#endif